Delete Integration
curl --request DELETE \
--url https://api.example.com/api/integrations/{integration_id} \
--header 'X-API-Key: <x-api-key>' \
--header 'X-Organization-Id: <x-organization-id>'import requests
url = "https://api.example.com/api/integrations/{integration_id}"
headers = {
"X-API-Key": "<x-api-key>",
"X-Organization-Id": "<x-organization-id>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-API-Key': '<x-api-key>', 'X-Organization-Id': '<x-organization-id>'}
};
fetch('https://api.example.com/api/integrations/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Integration deleted successfully",
"data": {
"integration_id": "intg_a1b2c3d4e5f6",
"client_id": "org_abc123",
"name": "Twilio Production",
"provider": "twilio",
"category": "telephony",
"status": "active",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}
Integrations
Delete Integration
DELETE
/
api
/
integrations
/
{integration_id}
Delete Integration
Delete an integration and its stored credentials. Note that integrations currently referenced by phone numbers cannot be deleted until those phone numbers are reassigned or removed.
Headers
string
required
Your API key for authentication.
string
required
The organization ID.
Path Parameters
string
required
The unique identifier of the integration (format:
intg_[a-f0-9]{12}).Permissions
integrations:delete(admin, agent_manager)
Response
boolean
Indicates if the request was successful.
string
Human-readable success message.
object
The deleted integration object.
Show properties
Show properties
string
Unique integration identifier.
string
The organization/client ID this integration belonged to.
string
The name of the integration.
string
The provider type (e.g.,
twilio).string
The category (e.g.,
telephony).string
Current status.
string
ISO 8601 timestamp of creation.
string
ISO 8601 timestamp of last update.
{
"success": true,
"message": "Integration deleted successfully",
"data": {
"integration_id": "intg_a1b2c3d4e5f6",
"client_id": "org_abc123",
"name": "Twilio Production",
"provider": "twilio",
"category": "telephony",
"status": "active",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}
Error Responses
409 Conflict
409 Conflict
Returned when the integration is still referenced by one or more phone numbers. The error message will list the phone numbers that must be removed or reassigned first.
{
"detail": "Integration is still referenced by phone numbers: ['+1234567890']. Remove or reassign them first."
}
⌘I